=== debian/changelog ===
mit-scheme (9.1.1-5build3) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:54:33 +0000

mit-scheme (9.1.1-5build2) bionic; urgency=medium

  * Rebuild against new libgdbm5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:25:54 +0100

mit-scheme (9.1.1-5build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:43:14 +0000

mit-scheme (9.1.1-5) unstable; urgency=low

  * ${DPKG_MAINTSCRIPT_ARCH} i486 is i386

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 30 Aug 2013 16:31:28 +0100

mit-scheme (9.1.1-4) unstable; urgency=low

  * use ${DPKG_MAINTSCRIPT_ARCH} in installation scripts as
    dpkg-architecture might be unavailable (closes: #721230)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 30 Aug 2013 13:58:16 +0100

mit-scheme (9.1.1-3) unstable; urgency=low

  * patch for bracing makeinfo 5 issues

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 29 Aug 2013 23:08:30 +0100

mit-scheme (9.1.1-2) unstable; urgency=low

  * build dependency on texinfo

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Aug 2013 14:47:17 +0100

mit-scheme (9.1.1-1) unstable; urgency=low

  * New upstream
  * update packaging scripts: dh9, bump policy version, etc
  * support amd64 (closes: #714887)
  * support multiarch, so i386 and amd64 can co-exist
  * allow parallel build
  * engage autoreconf
  * reduce lintian clutter from debian/control and debian/copyright

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 13 Aug 2013 09:32:08 +0200

mit-scheme (9.1-1) unstable; urgency=low

  * New upstream.
  * debian/control, debian/copyright, debian/mit-scheme-doc.*,
    debian/mit-scheme.install, debian/rules, Upstream has removed cover
    texts from documentation licenses, so merge packages mit-scheme and
    mit-scheme-doc back together.
  * debian/compat: Bump to current version.
  * debian/control: Bump standards-version to current and make
    necessary changes.
  * debian/rules: Fix lintian warnings.

 -- Chris Hanson <cph@debian.org>  Sat, 15 Oct 2011 03:08:33 -0700

mit-scheme (9.0.1-1+b1) sid; urgency=low

  * Binary-only non-maintainer upload for i386; no source changes.
  * Rebuild against libssl1.0.0

 -- i386 Build Daemon (murphy) <buildd_i386-murphy@buildd.debian.org>  Wed, 13 Apr 2011 00:54:48 +0000

mit-scheme (9.0.1-1) unstable; urgency=low

  * New upstream.
  * debian/watch: Fix, previous version was broken.

 -- Chris Hanson <cph@debian.org>  Wed, 10 Mar 2010 02:00:45 -0800

mit-scheme (9.0-1) unstable; urgency=low

  * New upstream.
  * debian/emacs*: removed.
  * debian/mit-scheme-native.1: renamed to debian/mit-scheme-i386.1.
  * debian/mit-scheme.{desktop,dirs,install,manpages,menu,postinst,prerm},
    debian/mit-scheme-i386.1, debian/control, debian/rules: updated for
    upstream changes.
  * debian/control: Bump standards-version to 3.8.4 (no changes).
  * debian/watch: Uncomment pattern for stable releases.

 -- Chris Hanson <cph@debian.org>  Sat, 27 Feb 2010 23:50:14 -0800

mit-scheme (7.7.90+20090107-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing build-dep on libltdl-dev (Closes: #523912)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 26 Nov 2009 10:08:46 +0100

mit-scheme (7.7.90+20090107-1) unstable; urgency=low

  * New upstream.
  * debian/control: Bump standards-version to 3.8.0 (no changes).
  * debian/control: Add homepage field.
  * debian/copyright: Update copyright dates.

 -- Chris Hanson <cph@debian.org>  Wed, 07 Jan 2009 23:12:52 -0800

mit-scheme (7.7.90+20080130-1) unstable; urgency=low

  * New upstream.  (closes: Bug#458700, Bug#375858)
  * debian/control: Bump standards-version to 3.7.3 (no changes).
  * debian/copyright: Update copyright dates.
  * debian/copyright: Add build-dep on libdb-dev.
  * debian/mit-scheme.desktop: Add --heap arg to Exec field.
  * debian/mit-scheme-native.1: Fix lintian error:
    manpage-has-bad-whatis-entry

 -- Chris Hanson <cph@debian.org>  Wed, 30 Jan 2008 21:22:48 -0500

mit-scheme (7.7.90+20070909-1) unstable; urgency=low

  * New upstream.

 -- Chris Hanson <cph@debian.org>  Fri, 28 Sep 2007 22:11:46 -0400

mit-scheme (7.7.90+20070820-1) unstable; urgency=low

  * New upstream.
  * Fix lintian warnings:
      W: mit-scheme: desktop-entry-invalid-category
      W: mit-scheme: menu-item-uses-apps-section

 -- Chris Hanson <cph@debian.org>  Tue, 21 Aug 2007 14:16:58 -0400

mit-scheme (7.7.90+20070623-1) unstable; urgency=low

  * New upstream.
  * debian/rules, debian/mit-scheme.install,
    debian/mit-scheme-dbg.install: adjust for changes to upstream
    directory organization.
  * debian/mit-scheme.prerm, debian/mit-scheme.manpages,
    debian/mit-scheme-native.1, debian/mit-scheme.menu,
    debian/mit-scheme.desktop, debian/mit-scheme.postinst: name of
    executable has changed to "mit-scheme-native", and "mit-scheme" is now
    managed as an alternative.  This is to simplify coexistence with the
    mit-scheme-c package.
  * debian/bchscheme.1: removed since bchscheme executable no longer in
    upstream.

 -- Chris Hanson <cph@debian.org>  Sun, 24 Jun 2007 00:10:57 -0400

mit-scheme (7.7.90+20070205-1) unstable; urgency=low

  * New upstream.

 -- Chris Hanson <cph@debian.org>  Mon, 5 Feb 2007 13:04:49 -0500

mit-scheme (7.7.90+20060906-3) unstable; urgency=low

  * No changes; rebuild with downgraded openssl in order to permit
    transition into testing.

 -- Chris Hanson <cph@debian.org>  Wed, 20 Sep 2006 21:59:42 -0400

mit-scheme (7.7.90+20060906-2) unstable; urgency=low

  * debian/mit-scheme.emacsen-remove: don't purge if directory doesn't
    exist.  (closes: Bug#387788)

 -- Chris Hanson <cph@debian.org>  Tue, 19 Sep 2006 12:43:46 -0400

mit-scheme (7.7.90+20060906-1) unstable; urgency=low

  * New upstream.
  * Fix Priority of mit-scheme-dbg to match overrides.
  * Use debhelper v5.

