=== debian/control ===
Source: mit-scheme
Section: lisp
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chris Hanson <cph@debian.org>
DM-Upload-Allowed: yes
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf,
		mit-scheme,
		libssl-dev, libmhash-dev, libmcrypt-dev,
		libgdbm-dev, libpq-dev,
		libncurses5-dev,
		libx11-dev, libxt-dev,
		libdb-dev, libltdl-dev,
		texinfo, texlive
Standards-Version: 3.9.4
Homepage: http://www.gnu.org/software/mit-scheme/
Vcs-Git: git://anonscm.debian.org/collab-maint/mit-scheme.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mit-scheme.git

Package: mit-scheme
Architecture: i386 amd64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mime-support
Suggests: mit-scheme-dbg, mit-scheme-doc
Description: MIT/GNU Scheme development environment
 MIT/GNU Scheme is an implementation of the Scheme programming language,
 providing an interpreter, compiler, source-code debugger, integrated
 Emacs-like editor, and a large runtime library.  MIT/GNU Scheme is best
 suited to programming large applications with a rapid development
 cycle.
 .
 This package contains the development environment.

Package: mit-scheme-dbg
Section: debug
Priority: extra
Architecture: i386 amd64
Multi-Arch: same
Depends: mit-scheme (= ${binary:Version}), ${misc:Depends}
Enhances: mit-scheme (= ${binary:Version})
Breaks: mit-scheme (<< 7.7.90+20060414-0)
Replaces: mit-scheme (<< 7.7.90+20060414-0)
Description: MIT/GNU Scheme debugging files
 MIT/GNU Scheme is an implementation of the Scheme programming language,
 providing an interpreter, compiler, source-code debugger, integrated
 Emacs-like editor, and a large runtime library.  MIT/GNU Scheme is best
 suited to programming large applications with a rapid development
 cycle.
 .
 This package contains debugging files for the development
 environment.  These files provide support for debugging the MIT/GNU
 Scheme system, and are useful only if you need to see the system
 internals while you are debugging.

Package: mit-scheme-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: mit-scheme (= ${binary:Version})
Breaks: mit-scheme (<< 7.7.90+20060414-0)
Replaces: mit-scheme (<< 7.7.90+20060414-0)
Description: MIT/GNU Scheme documentation
 MIT/GNU Scheme is an implementation of the Scheme programming language,
 providing an interpreter, compiler, source-code debugger, integrated
 Emacs-like editor, and a large runtime library.  MIT/GNU Scheme is best
 suited to programming large applications with a rapid development
 cycle.
 .
 This package contains documentation in Info, HTML, and PDF formats.
