=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	dh_autoreconf sh -- -e -x -c 'for d in src doc; do (cd $$d && autoreconf -f -i) done'

CONF_FLAGS += --docdir=/usr/share/doc/mit-scheme-doc
CONF_FLAGS += --enable-html=/usr/share/doc/mit-scheme-doc/html
CONF_FLAGS += --enable-pdf=/usr/share/doc/mit-scheme-doc/pdf
CONF_FLAGS += --enable-ps=no

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=src -- $(CONF_FLAGS)
	dh_auto_configure --sourcedirectory=doc -- $(CONF_FLAGS)

# override_dh_auto_build:
# SCHEME_COMPILER=mit-scheme $(MAKE)

DEB_HOST_GNU_CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
ifeq ($(DEB_HOST_GNU_CPU),x86_64)
BIN_ARCH=x86-64
else
BIN_ARCH=$(DEB_HOST_GNU_CPU)
endif

override_dh_auto_install:
	dh_auto_install --sourcedirectory=src
	dh_auto_install --sourcedirectory=doc -- install-html install-pdf
	cd debian/tmp/usr/bin && \
	 rm --verbose -f scheme bchscheme mit-scheme mit-scheme-native
	find debian/tmp/usr/lib -name runtime.com -delete

# Upstream changelog is over 5MB, leave a copy in the doc package but
# remove it from the binary package to reduce bloat.
# See http://dedup.debian.net/.
override_dh_installchangelog:
	dh_installchangelog
	-rm --verbose debian/mit-scheme/usr/share/doc/mit-scheme/changelog
	-rm --verbose debian/mit-scheme-dbg/usr/share/doc/mit-scheme-dbg/changelog

override_dh_link:
	dh_link /usr/share/man/man1/mit-scheme.1.gz /usr/share/man/man1/mit-scheme-$(BIN_ARCH).1.gz

override_dh_auto_clean:
	-dh_auto_clean

override_dh_clean:
	dh_clean --exclude=TAGS
