=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: mit-scheme
 Section: lisp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Hanson <cph@debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf,
-		mit-scheme,
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Build-Depends: debhelper (>= 11),
+		mit-scheme (>= 10),
 		libssl-dev, libmhash-dev, libmcrypt-dev,
 		libgdbm-dev, libpq-dev,
 		libncurses5-dev,
 		libx11-dev, libxt-dev,
 		libdb-dev, libltdl-dev,
 		texinfo, texlive
-Standards-Version: 3.9.4
-Homepage: http://www.gnu.org/software/mit-scheme/
-Vcs-Git: git://anonscm.debian.org/collab-maint/mit-scheme.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mit-scheme.git
+Standards-Version: 4.2.1
+Homepage: https://www.gnu.org/software/mit-scheme/
+Vcs-Git: https://salsa.debian.org/debian/mit-scheme.git
+Vcs-Browser: https://salsa.debian.org/debian/mit-scheme
 
 Package: mit-scheme
 Architecture: i386 amd64
@@ -35,7 +32,6 @@
 
 Package: mit-scheme-dbg
 Section: debug
-Priority: extra
 Architecture: i386 amd64
 Multi-Arch: same
 Depends: mit-scheme (= ${binary:Version}), ${misc:Depends}
