## mit-scheme 10.1.3

=== debian/changelog ===
mit-scheme (10.1.3-2) unstable; urgency=medium

  * work around GNU tar cowardice (closes: #917808)
  * bump standards version
  * dh12
  * split debian/rules stanzas into -arch vs -indep where appropriate

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 03 Jan 2019 10:52:10 +0000

mit-scheme (10.1.3-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 Nov 2018 20:03:09 +0000
