=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://ftp.gnu.org/gnu/mit-scheme/stable.pkg/([\d\.]+)/mit-scheme-([\d\.]+)\.tar\.gz debian uupdate
