## mit-scheme 10.1.6

=== debian/changelog ===
mit-scheme (10.1.6-1build5) eoan; urgency=medium

  * Rebuild against new bootstrapped mit-scheme in the archive.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 May 2019 10:20:50 +0200

mit-scheme (10.1.6-1build4) eoan; urgency=medium

  * No change rebuild against bootstrapped package
    (package back in sync with Debian)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 May 2019 23:14:17 +0200

mit-scheme (10.1.6-1) unstable; urgency=medium

  * new upstream release
  * specify dh12 the new way

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 12 Apr 2019 01:03:16 +0100
