## mit-scheme 10.1.9

=== debian/changelog ===
mit-scheme (10.1.9-2) unstable; urgency=medium

  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 08 Aug 2019 11:06:09 +0200

mit-scheme (10.1.9-1) unstable; urgency=medium

  * new upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 13 Jun 2019 17:54:34 +0100
