## mit-scheme 10.1.10

=== debian/changelog ===
mit-scheme (10.1.10-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:01:32 +0000

mit-scheme (10.1.10-1) unstable; urgency=medium

  * new upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 Aug 2019 11:31:26 +0200
