=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 		libx11-dev, libxt-dev,
 		libdb-dev, libltdl-dev,
 		texinfo, texlive
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.gnu.org/software/mit-scheme/
 Vcs-Git: https://salsa.debian.org/debian/mit-scheme.git
 Vcs-Browser: https://salsa.debian.org/debian/mit-scheme
