=== debian/rules ===
--- 
+++ 
@@ -23,12 +23,20 @@
 CONF_FLAGS += --enable-pdf=/usr/share/doc/mit-scheme-doc/pdf
 CONF_FLAGS += --enable-ps=no
 
-override_dh_auto_configure:
+override_dh_auto_configure-arch:
 	dh_auto_configure --sourcedirectory=src -- $(CONF_FLAGS)
+
+override_dh_auto_configure-indep:
 	dh_auto_configure --sourcedirectory=doc -- $(CONF_FLAGS)
 
-# override_dh_auto_build:
-# SCHEME_COMPILER=mit-scheme $(MAKE)
+# May wish to pass parameter in dh_auto_build
+#  SCHEME_COMPILER=mit-scheme
+
+override_dh_auto_build-arch:
+	dh_auto_build --sourcedirectory=src
+
+override_dh_auto_build-indep:
+	dh_auto_build --sourcedirectory=doc
 
 DEB_HOST_GNU_CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 ifeq ($(DEB_HOST_GNU_CPU),x86_64)
@@ -37,9 +45,8 @@
 BIN_ARCH=$(DEB_HOST_GNU_CPU)
 endif
 
-override_dh_auto_install:
+override_dh_auto_install-arch:
 	dh_auto_install --sourcedirectory=src
-	dh_auto_install --sourcedirectory=doc -- install-html install-pdf
 	@echo remove symbolic link executables
 	cd debian/tmp/usr/bin && \
 	for f in scheme bchscheme mit-scheme mit-scheme-native; do \
@@ -52,16 +59,19 @@
 #	@echo delete runtime.com for MYSTERIOUS reasons
 #	@echo stop doing this because it breaks future builds
 #	find debian/tmp/usr/lib -name runtime.com -ls -delete
-	@echo allow dh scripts to compress info files themselves
-	find debian/tmp \( -name '*.info.gz' -o -name '*.info-*.gz' \) -ls -exec gunzip '{}' ';'
 	@echo remove .la library support files as these are not actually used by the dynamic linker
 	find debian/tmp -name '*.la' -ls -delete
 
-override_dh_install:
+override_dh_auto_install-indep:
+	dh_auto_install --sourcedirectory=doc -- install-html install-pdf
+	@echo allow dh scripts to compress info files themselves
+	find debian/tmp \( -name '*.info.gz' -o -name '*.info-*.gz' \) -ls -exec gunzip '{}' ';'
+
+override_dh_install-arch:
 	dh_install
 	@echo All .bci files belong in -dbg, move them manually for robustness
 	mkdir -p debian/mit-scheme-dbg
-	tar -C debian/mit-scheme -cf - $$(cd debian/mit-scheme && find -name '*.bci') \
+	tar -C debian/mit-scheme --create --file=- --files-from=/dev/null $$(cd debian/mit-scheme && find -name '*.bci') \
 	 | tar -C debian/mit-scheme-dbg -xvf -
 	find debian/mit-scheme -name '*.bci' -delete
 	@echo remove empty directory
@@ -70,13 +80,13 @@
 # Upstream changelog is over 5MB, leave a copy in the doc package but
 # remove it from the binary package to reduce bloat.
 # See http://dedup.debian.net/.
-override_dh_installchangelogs:
+override_dh_installchangelogs-arch:
 	dh_installchangelogs
 	-rm --verbose \
 	   debian/mit-scheme/usr/share/doc/mit-scheme/changelog \
 	   debian/mit-scheme-dbg/usr/share/doc/mit-scheme-dbg/changelog
 
-override_dh_link:
+override_dh_link-arch:
 	dh_link /usr/share/man/man1/mit-scheme.1.gz \
 		/usr/share/man/man1/mit-scheme-$(BIN_ARCH).1.gz
