=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: lisp
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 		mit-scheme (>= 10),
 		libssl-dev, libmhash-dev, libmcrypt-dev,
 		libgdbm-dev, libpq-dev,
@@ -10,7 +10,8 @@
 		libx11-dev, libxt-dev,
 		libdb-dev, libltdl-dev,
 		texinfo, texlive
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/mit-scheme/
 Vcs-Git: https://salsa.debian.org/debian/mit-scheme.git
 Vcs-Browser: https://salsa.debian.org/debian/mit-scheme
