## mit-scheme 11.1

=== debian/changelog ===
mit-scheme (11.1-4) unstable; urgency=medium

  * unified -arch and -indep!
  * name executable and man page symmetrically: with arch
  * fiddle with update-alternatives so
    - mit-scheme can be some arch-specific mit-scheme
    - scheme can be mit-scheme

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 10 Feb 2021 11:48:19 +0000

mit-scheme (11.1-3) unstable; urgency=medium

  * quilt patch to increase verbosity of texi2dvi
  * fracture build dependencies by -arch and -indep
  * dependency on texlive-plain-generic for epsf.tex

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Feb 2021 17:08:35 +0000

mit-scheme (11.1-2) unstable; urgency=medium

  * build dependency on ghostscript for eps2eps

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Feb 2021 11:59:25 +0000

mit-scheme (11.1-1) unstable; urgency=medium

  * new upstream release
  * bump policy
  * forward port quilt patches
  * --enable-cross-compiling when using old version to build new version
  * quilt patch to avoid missing extern compilation warning

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Feb 2021 11:02:06 +0000
