=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 		libncurses5-dev,
 		libx11-dev, libxt-dev,
 		libdb-dev, libltdl-dev,
-		texinfo, texlive
-Standards-Version: 4.5.0
+		texinfo, texlive, ghostscript, texlive-plain-generic
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/mit-scheme/
 Vcs-Git: https://salsa.debian.org/debian/mit-scheme.git
