=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# for DEB_HOST_GNU_CPU
+include /usr/share/dpkg/architecture.mk
+# for DEB_VERSION_UPSTREAM
+include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -23,35 +28,53 @@
 CONF_FLAGS += --enable-pdf=/usr/share/doc/mit-scheme-doc/pdf
 CONF_FLAGS += --enable-ps=no
 
-override_dh_auto_configure-arch:
+# According to https://savannah.gnu.org/support/?110264 a build error like
+#
+#  Bad compiled-code version in FASL File: make.com
+#  File has: compiled-code interface 3; architecture 14.
+#  Expected: compiled-code interface 4; architecture 14.
+#
+# can occur when, e.g., 10.1.11 is installed but 11.1 is being built.
+# And can be prevented using a configuration flag.
+
+INSTALLED_MAJOR_VERSION:=$(shell dpkg --status mit-scheme | egrep '^Version:' | sed 's/^Version: //' | cut --delimiter=. --fields=1)
+BUILDING_MAJOR_VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | cut --delimiter=. --fields=1)
+ifneq ($(INSTALLED_MAJOR_VERSION),$(BUILDING_MAJOR_VERSION))
+CONF_FLAGS += --enable-cross-compiling
+endif
+
+override_dh_auto_configure:
+# -arch
 	dh_auto_configure --sourcedirectory=src -- $(CONF_FLAGS)
-
-override_dh_auto_configure-indep:
+# -indep
 	dh_auto_configure --sourcedirectory=doc -- $(CONF_FLAGS)
 
 # May wish to pass parameter in dh_auto_build
 #  SCHEME_COMPILER=mit-scheme
 
-override_dh_auto_build-arch:
+override_dh_auto_build:
+# -arch
 	dh_auto_build --sourcedirectory=src
-
-override_dh_auto_build-indep:
+# -indep
 	dh_auto_build --sourcedirectory=doc
 
-DEB_HOST_GNU_CPU=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 ifeq ($(DEB_HOST_GNU_CPU),x86_64)
 export BIN_ARCH=x86-64
 else
 export BIN_ARCH=$(DEB_HOST_GNU_CPU)
 endif
 
-override_dh_auto_install-arch:
+override_dh_auto_install:
+# -arch
 	dh_auto_install --sourcedirectory=src
-
-execute_after_dh_auto_install-arch:
+# -indep
 #	# This doesn't work because doc/ hasn't been *configured*
 #	# which hardly seems worth working around
 #	dh_auto_install --sourcedirectory=doc -- install-man
+	dh_auto_install --sourcedirectory=doc -- install-html install-pdf
+
+execute_after_dh_auto_install:
+# -arch
 	@echo "remove symbolic link executables"
 	cd debian/tmp/usr/bin && \
 	for f in scheme bchscheme mit-scheme mit-scheme-native; do \
@@ -66,11 +89,6 @@
 #	find debian/tmp/usr/lib -name runtime.com -ls -delete
 	@echo "remove .la library support files as these are not actually used by the dynamic linker"
 	find debian/tmp -name '*.la' -ls -delete
-
-override_dh_auto_install-indep:
-	dh_auto_install --sourcedirectory=doc -- install-html install-pdf
-
-execute_after_dh_auto_install-indep:
 	@echo "allow dh scripts to compress info files themselves"
 	find debian/tmp \( -name '*.info.gz' -o -name '*.info-*.gz' \) -ls -exec gunzip '{}' ';'
 
@@ -83,6 +101,11 @@
 	@echo "remove empty directory"
 	-rmdir debian/mit-scheme/usr/lib/x86_64-linux-gnu/mit-scheme/lib
 
+execute_after_dh_installman-arch:
+	@echo "install man page using arch; generic is via alternatives"
+	cd debian/mit-scheme/usr/share/man && \
+	 mv man1/mit-scheme.1 man1/mit-scheme-$(BIN_ARCH).1
+
 # Upstream changelog is over 5MB, leave a copy in the doc package but
 # remove it from the binary package to reduce bloat.
 # See http://dedup.debian.net/.
@@ -94,6 +117,3 @@
 
 override_dh_auto_clean:
 	-dh_auto_clean
-
-override_dh_clean:
-	dh_clean --exclude=TAGS
