=== debian/watch ===
version=4
https://ftp.gnu.org/gnu/mit-scheme/stable.pkg/([\d\.]+)/@PACKAGE@-([\d\.]+)@ARCHIVE_EXT@ debian uupdate
