=== debian/changelog ===
mit-scheme (11.2-2ubuntu1) jammy; urgency=medium

  * d/p/0001-microcode-Make-definition-for-chacha_core-match-decl.patch:
    Pull in upstream patch to fix -Werror=array-parameter build error.
    (LP: #1965163).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 17 Mar 2022 13:14:25 -0400

mit-scheme (11.2-2) unstable; urgency=medium

  * remove i386 from architecture list (closes: #982791)
  * add postrm script (closes: #987373)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 25 Aug 2021 11:40:16 +0100

mit-scheme (11.2-1) unstable; urgency=medium

  * new upstream release
  * check signature in debian/watch
  * remove upstream maintenance quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 11 Mar 2021 00:54:23 +0000

mit-scheme (11.1-5) unstable; urgency=medium

  * track upstream maintenance branch as quilt patches
  * hope it compiles on i386

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 18 Feb 2021 14:09:59 +0000
