=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mit-scheme
 Section: lisp
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
 		mit-scheme (>= 10),
 		libssl-dev, libmhash-dev, libmcrypt-dev,
@@ -10,14 +11,14 @@
 		libx11-dev, libxt-dev,
 		libdb-dev, libltdl-dev,
 		texinfo, texlive, ghostscript, texlive-plain-generic
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/mit-scheme/
 Vcs-Git: https://salsa.debian.org/debian/mit-scheme.git
 Vcs-Browser: https://salsa.debian.org/debian/mit-scheme
 
 Package: mit-scheme
-Architecture: i386 amd64
+Architecture: amd64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: mime-support
@@ -33,7 +34,7 @@
 
 Package: mit-scheme-dbg
 Section: debug
-Architecture: i386 amd64
+Architecture: amd64
 Multi-Arch: same
 Depends: mit-scheme (= ${binary:Version}), ${misc:Depends}
 Enhances: mit-scheme (= ${binary:Version})
