=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://ftp.gnu.org/gnu/mit-scheme/stable.pkg/([\d\.]+)/@PACKAGE@-([\d\.]+)@ARCHIVE_EXT@ debian uupdate
